unit StartFm;

{$mode objfpc}{$H+}

//---------------------------------------------------------------------------
interface

//---------------------------------------------------------------------------
uses
  Windows, Messages, SysUtils, LResources, Variants, Classes, Graphics,
  Controls, Forms, Dialogs, ExtCtrls, StdCtrls, Buttons;

//---------------------------------------------------------------------------
type
  TStartForm = class(TForm)
    Image1: TImage;
    Bevel1: TBevel;
    GroupBox1: TGroupBox;
    NameEdit: TEdit;
    GroupBox2: TGroupBox;
    CheckBox32bit: TCheckBox;
    CheckBoxWindowed: TCheckBox;
    PlayButton: TBitBtn;
    CloseButton: TBitBtn;
    CheckBoxVSync: TCheckBox;
    DXComboBox: TComboBox;
  private
    { Private declarations }
    function GetWindowed(): Boolean;
    function GetHighBitDepth(): Boolean;
    function GetPlayerName(): string;
    function GetVSync: Boolean;
  public
    { Public declarations }
    property Windowed: Boolean read GetWindowed;
    property HighBitDepth: Boolean read GetHighBitDepth;
    property VSync: Boolean read GetVSync;
    property PlayerName: string read GetPlayerName;
  end;

//---------------------------------------------------------------------------
var
  StartForm: TStartForm;

//---------------------------------------------------------------------------
implementation

//---------------------------------------------------------------------------
function TStartForm.GetWindowed(): Boolean;
begin
 Result:= CheckBoxWindowed.Checked;
end;

//---------------------------------------------------------------------------
function TStartForm.GetHighBitDepth(): Boolean;
begin
 Result:= CheckBox32bit.Checked;
end;

//---------------------------------------------------------------------------
function TStartForm.GetVSync(): Boolean;
begin
 Result:= CheckBoxVSync.Checked;
end;

//---------------------------------------------------------------------------
function TStartForm.GetPlayerName(): string;
begin
 Result:= NameEdit.Text;
end;

//---------------------------------------------------------------------------
initialization
  {$I StartFm.lrs}

//---------------------------------------------------------------------------
end.
